# $Revision: 1.31 $, $Date: 2004/07/04 11:06:56 $
Summary:	POP3 mail client
Summary(pl):	Klient POP3
Name:		fetchpop
Version:	1.9
Release:	8
License:	GPL
Group:		Applications/Mail
Source0:	ftp://tsx-11.mit.edu/pub/linux/sources/usr.bin/%{name}%{version}.tar.gz
# Source0-md5:	0c9b186791ea1e3da1b28f4f6094ca01
Source1:	%{name}.desktop
Patch1:		ftp://tsx-11.mit.edu/pub/linux/sources/usr.bin/%{name}%{version}.patch1
Patch2:		ftp://tsx-11.mit.edu/pub/linux/sources/usr.bin/%{name}%{version}.patch2
Requires:	smtpdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
By default, fetchpop retrieves new mail from the remote pop mail
server and appends it to your mailbox file, using information in the
file ~/.fetchhost. Fetchpop has many options to change its default
behavior.

%description -l pl
Domylnie fetchpop ciga poczt ze zdalnego serwera poczty i wrzuca
j do twojej skrzynki uywajc informacji z pliku ~/.fetchhost.
Fetchpop posiada wiele opcji mogcych zmieni jego domylne
zachowanie.

%prep
%setup -q -n %{name}%{version}
%patch1 -p1
%patch2 -p1

%build
%{__make} all CFLAGS="%{rpmcflags}" LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_desktopdir}}

%{__make} install install.truncate \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README RFC1225 TODO FAQ.fetchpop

%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fetchpop.spec,v $
Revision 1.31  2004/07/04 11:06:56  havner
- applnk -> vfolders

Revision 1.30  2003/12/13 09:02:11  speedy
- release 7 (ac)

Revision 1.29  2003/05/26 16:24:58  malekith
- massive attack: adding Source-md5

Revision 1.28  2003/05/25 05:47:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2002/11/27 19:36:46  juandon
- new %%doc

Revision 1.26  2002/04/25 16:17:41  arturs
fixed a small typo

Revision 1.25  2002/02/23 01:58:11  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 02:12:52  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/11/23 23:00:20  blues
- cosmetics in files
STBR

Revision 1.21  2001/07/23 16:24:27  wiget
- release 6
- switch to *.desktop
- use original fixes from main URL
- make.patch is ugly and not needed

Revision 1.20  2001/06/21 10:51:31  blues
- typo

Revision 1.19  2001/05/02 16:29:01  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.18  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/05/18 20:18:39  kloczek
- spec adapterized.

Revision 1.16  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.14  1999/11/09 07:18:29  kura

- cosmetics

Revision 1.13  1999/07/12 23:05:56  kloczek

- added using CVS keywords in %changelog (for automating them).

* Thu Apr 15 1999 Micha Kuratczyk <kura@pld.org.pl>
  [1.9-4]
- removed man group from man pages
- cosmetic changes

* Mon Feb  8 1999 Micha Kuratczyk <kura@pld.org.pl>
  [1.9-3]
- added gzipping documentation
- added LDFLAGS=-s
- cosmetic changes

* Thu Jan 28 1999 Micha Kuratczyk <kura@pld.org.pl>
  [1.9-2]
- added wmconfig,
- added pl translations,
- changed BuildRoot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source,
- added using "install -d" in %install,
- added gzipping man pages,
- changed patches names,
- deleted one patch,
- added full %attr description in %files.

* Mon Aug 17 1998 Michael Maher <mike@redhat.com>
- Built package from contrib package
